
/*  Copyright (C) Microsoft Corporation, 1996-1998.  All rights reserved.

  This source code is intended only as a supplement to Microsoft
  Visual J++ 6.0.  See this product's on-line documentation for detailed   
information regarding Microsoft code samples.

*/

// Form1.java

import wfc.app.*;
import wfc.core.*;
import wfc.ui.*;

/**
 * This class can take a variable number of parameters on the command
 * line. Program execution begins with the main() method. The class
 * constructor is not invoked unless an object of type 'Form1'
 * created in the main() method.
 */
public class Form1 extends Form
{
  /**
   * Creates a Form1 object.
   */
  public Form1()
  {
    // Required for Visual J++ Form Designer support
    initForm();   
  }

  /**
   * The main entry point for the application. 
   *
   * @param args Array of parameters passed to the application via the command line.
   */
  public static void main(String args[])
  {
    Application.run(new Form1());
  }


  /**
   * NOTE: The following code is required by the Visual J++ form
   * designer.  It can be modified using the form editor.  Do not
   * modify it using the code editor.
   */

  Container components = new Container();
  EyeControl eyeControl1 = new EyeControl();
  EyeControl eyeControl2 = new EyeControl();
  EyeControl eyeControl3 = new EyeControl();
  EyeControl eyeControl4 = new EyeControl();
  EyeControl eyeControl5 = new EyeControl();
  EyeControl eyeControl6 = new EyeControl();
  EyeControl eyeControl7 = new EyeControl();
  EyeControl eyeControl8 = new EyeControl();
  EyeControl eyeControl9 = new EyeControl();
  EyeControl eyeControl10 = new EyeControl();
  Button button1 = new Button();

  private void initForm()
  {

    this.setBackColor(Color.CONTROL);
    this.setSize(new Point(386, 255));
    this.setTabIndex(-1);
    this.setTabStop(true);
    this.setText("Form1");
    this.setAutoScaleBaseSize(16);
    this.setClientSize(new Point(378, 228));
    eyeControl1.setLocation(new Point(10, 10));
    eyeControl1.setSize(new Point(70, 70));
    eyeControl1.setTabIndex(1);
    eyeControl1.setTabStop(true);
    eyeControl1.setText("eyeControl1");
    eyeControl1.setIrisColor(Color.BLACK);
    eyeControl2.setLocation(new Point(80, 10));
    eyeControl2.setSize(new Point(70, 70));
    eyeControl2.setTabIndex(2);
    eyeControl2.setTabStop(true);
    eyeControl2.setText("eyeControl2");
    eyeControl2.setIrisColor(Color.DARKGRAY);
    eyeControl3.setLocation(new Point(150, 10));
    eyeControl3.setSize(new Point(70, 70));
    eyeControl3.setTabIndex(3);
    eyeControl3.setTabStop(true);
    eyeControl3.setText("eyeControl3");
    eyeControl3.setIrisColor(Color.GRAY);
    eyeControl4.setLocation(new Point(10, 80));
    eyeControl4.setSize(new Point(70, 70));
    eyeControl4.setTabIndex(4);
    eyeControl4.setTabStop(true);
    eyeControl4.setText("eyeControl4");
    eyeControl4.setIrisColor(Color.LIGHTGRAY);
    eyeControl5.setLocation(new Point(80, 80));
    eyeControl5.setSize(new Point(70, 70));
    eyeControl5.setTabIndex(5);
    eyeControl5.setTabStop(true);
    eyeControl5.setText("eyeControl5");
    eyeControl5.setIrisColor(Color.WHITE);
    eyeControl6.setLocation(new Point(150, 80));
    eyeControl6.setSize(new Point(70, 70));
    eyeControl6.setTabIndex(6);
    eyeControl6.setTabStop(true);
    eyeControl6.setText("eyeControl6");
    eyeControl6.setIrisColor(Color.RED);
    eyeControl7.setLocation(new Point(10, 150));
    eyeControl7.setSize(new Point(70, 70));
    eyeControl7.setTabIndex(7);
    eyeControl7.setTabStop(true);
    eyeControl7.setText("eyeControl7");
    eyeControl7.setIrisColor(Color.GREEN);
    eyeControl8.setLocation(new Point(80, 150));
    eyeControl8.setSize(new Point(70, 70));
    eyeControl8.setTabIndex(8);
    eyeControl8.setTabStop(true);
    eyeControl8.setText("eyeControl8");
    eyeControl9.setLocation(new Point(150, 150));
    eyeControl9.setSize(new Point(70, 70));
    eyeControl9.setTabIndex(9);
    eyeControl9.setTabStop(true);
    eyeControl9.setText("eyeControl9");
    eyeControl9.setIrisColor(new Color(255, 255, 0));
    eyeControl10.setLocation(new Point(250, 20));
    eyeControl10.setSize(new Point(120, 140));
    eyeControl10.setTabIndex(10);
    eyeControl10.setTabStop(true);
    eyeControl10.setText("eyeControl10");
    eyeControl10.setIrisColor(new Color(0, 0, 128));
    button1.setLocation(new Point(270, 170));
    button1.setSize(new Point(80, 30));
    button1.setTabIndex(11);
    button1.setTabStop(true);
    button1.setText("button1");
    this.setNewControls(new Control[] {
                        button1, 
                        eyeControl10, 
                        eyeControl9, 
                        eyeControl8, 
                        eyeControl7, 
                        eyeControl6, 
                        eyeControl5, 
                        eyeControl4, 
                        eyeControl3, 
                        eyeControl2, 
                        eyeControl1});
  }
  // NOTE: End of form designer support code
}